### Hierarchy

- _NanoSQLTransactionORMQuery

## Index

### Constructors

- constructor

### Methods

- exec
- where

## Constructors

### constructor

- new _NanoSQLTransactionORMQuery(queries: any[], table: string, action: "add" | "delete" | "drop" | "rebuild" | "set", column?: undefined | string, relationIDs?: any[]): _NanoSQLTransactionORMQuery

- - Defined in index-transaction.ts:21

  #### Parameters

  - ##### queries: any[]

  - ##### table: string

  - ##### action: "add" | "delete" | "drop" | "rebuild" | "set"

  - ##### Optional column: undefined | string

  - ##### Optional relationIDs: any[]

  #### Returns _NanoSQLTransactionORMQuery

## Methods

### exec

- exec(): void

- - Defined in index-transaction.ts:39

  #### Returns void

### where

- where(args: Array<any | Array<any>>): this

- - Defined in index-transaction.ts:34

  #### Parameters

  - ##### args: Array<any | Array<any>>

  #### Returns this

Generated using TypeDoc